package com.usky.dxtop.controller.web;


import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.controller.BaseController;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.service.OrderService;
import com.usky.dxtop.service.api.TopApi;
import com.usky.dxtop.service.vo.OrderRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.TreeMap;

/**
 * <p>
 * 订单表 前端控制器
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@RestController
@RequestMapping("/dxtop/order")
public class OrderController extends BaseController {

    @Autowired
    private OrderService orderService;

    /**
     * 添加订单(现金支付)
     * @param order
     * @return
     */
    @PostMapping
    public AjaxResult add(@RequestBody Order order){
        return toAjax(orderService.add(order));
    }

    /**
     * 分页
     * @param orderRequest
     * @return
     */
    @GetMapping("/list")
    public AjaxResult list(@RequestBody OrderRequest orderRequest){
        return AjaxResult.success(orderService.list(orderRequest));
    }

    /**
     * 扫码支付api
     * @param order
     * @return
     */
    @GetMapping("/topScanPayApi")
    public AjaxResult getTopScanPayApi(@RequestBody Order order){
        return AjaxResult.success(orderService.getTopScanPayApi(order));
    }

    /**
     * 生成扫码支付二维码
     * @param order
     * @return
     */
    @GetMapping("/topScanPayQr")
    public AjaxResult getTopScanPayQr(@RequestBody Order order){
        return AjaxResult.success(orderService.getTopScanPayQr(order));
    }

    /**
     * 查看订单详情api
     * @param orderNumber
     * @return
     */
    @GetMapping("/orderInfo")
    public AjaxResult callTopFindOrderInfoApi(@RequestParam String orderNumber){
        return AjaxResult.success(orderService.callTopFindOrderInfoApi(orderNumber));
    }
}

